Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class PropertyTypeUtil

    java.lang.Object
      org.modeshape.jcr.PropertyTypeUtil

    @Immutable
    public class PropertyTypeUtil

extends Object

A utility for working with `JCR property types` and `ModeShape property types`.

Constructor Summary
`PropertyTypeUtil()`

Method Summary
`static PropertyType` | `dnaPropertyTypeFor(int jcrPropertyType)` Compute the ModeShape `PropertyType` for the given JCR `PropertyType` value.
`static int` | `jcrPropertyTypeFor(PropertyType dnaPropertyType)` Compute the ModeShape `PropertyType` for the given JCR `PropertyType` value.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertyTypeUtil

    public PropertyTypeUtil()

Method Detail

### dnaPropertyTypeFor

    public static final PropertyType dnaPropertyTypeFor(int jcrPropertyType)

  Compute the ModeShape `PropertyType` for the given JCR `PropertyType` value.

  Parameters:
    `jcrPropertyType` - the ModeShape property for which the `PropertyType` is to be determined; never null
  Returns:
    the JCR property type; always a valid value and never `PropertyType.UNDEFINED`.

### jcrPropertyTypeFor

    public static final int jcrPropertyTypeFor(PropertyType dnaPropertyType)

  Compute the ModeShape `PropertyType` for the given JCR `PropertyType` value.

  Parameters:
    `dnaPropertyType` - the ModeShape property type; never null
  Returns:
    the JCR property type; always a valid value and never `PropertyType.UNDEFINED`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.